1. 26 Apr, 2021 2 commits
    • Rico Tzschichholz's avatar
    • Rico Tzschichholz's avatar
      build: Allow building with gettext ≥ 0.20 · 58669c69
      Rico Tzschichholz authored
      The use of AM_GNU_GETTEXT_VERSION in configure.ac instructs autopoint to
      copy po/Makefile.in.in from the exact gettext version. It is fine if the
      version of gettext installed on the system has the same minor version
      number with the requested version, but it fails if you have a newer
      version of gettext because of the mismatch between autoconf macros and
      Makefile.in.in.
      
        *** error: gettext infrastructure mismatch: using a Makefile.in.in
        from gettext version 0.19 but the autoconf macros are from gettext
        version 0.20
      
      Instead of specifying the exact version with AM_GNU_GETTEXT_VERSION, we
      can use AM_GNU_GETTEXT_REQUIRE_VERSION to ask autopoint to simply use
      the gettext version installed on the system to prevent the mismatch.
      58669c69
  2. 08 Apr, 2018 2 commits
  3. 07 Apr, 2018 3 commits
  4. 29 Mar, 2018 1 commit
  5. 04 Feb, 2018 1 commit
  6. 03 Feb, 2018 9 commits
  7. 16 Jun, 2017 1 commit
  8. 18 Feb, 2017 1 commit
  9. 06 Oct, 2016 1 commit
  10. 29 Sep, 2016 1 commit
  11. 01 Apr, 2016 1 commit
  12. 08 Mar, 2016 1 commit
  13. 02 Mar, 2016 1 commit
  14. 28 Feb, 2016 1 commit
  15. 27 Feb, 2016 9 commits
  16. 26 Feb, 2016 2 commits
  17. 30 Nov, 2015 3 commits